
From: Gerd Knorr <kraxel@bytesex.org>

Use wait_event_interruptible() instead of the deprecated
interruptible_sleep_on().  Patch is compile-tested.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/zoran_device.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

diff -puN drivers/media/video/zoran_device.c~media-zoran_device-replace-interruptible_sleep_on-with-wait_event_interruptible drivers/media/video/zoran_device.c
--- 25/drivers/media/video/zoran_device.c~media-zoran_device-replace-interruptible_sleep_on-with-wait_event_interruptible	2005-03-11 12:32:20.000000000 -0800
+++ 25-akpm/drivers/media/video/zoran_device.c	2005-03-11 12:32:20.000000000 -0800
@@ -46,6 +46,7 @@
 #include <linux/video_decoder.h>
 #include <linux/video_encoder.h>
 #include <linux/delay.h>
+#include <linux/wait.h>
 
 #include <asm/io.h>
 
@@ -696,11 +697,10 @@ wait_grab_pending (struct zoran *zr)
 	if (!zr->v4l_memgrab_active)
 		return 0;
 
-	while (zr->v4l_pend_tail != zr->v4l_pend_head) {
-		interruptible_sleep_on(&zr->v4l_capq);
-		if (signal_pending(current))
-			return -ERESTARTSYS;
-	}
+	wait_event_interruptible(zr->v4l_capq,
+			(zr->v4l_pend_tail == zr->v4l_pend_head));
+	if (signal_pending(current))
+		return -ERESTARTSYS;
 
 	spin_lock_irqsave(&zr->spinlock, flags);
 	zr36057_set_memgrab(zr, 0);
_
